Package com.collibra.dgc.core.api.model.view

# Interface View

All Superinterfaces:
  `Entity`, `Serializable`

public interface View extends Entity
Represents a view which is returned as a response for a REST call. Class implementing this interface should be a DTO.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of the entity.
  `String`
  `getLocation()`
  Returns the location of the view this view will be visible in.
  `String`
  `getName()`
  Returns the name of the entity.
  `String`
  `getSubType()`
  Returns the text representation of view subtype extracted from it's config.
  `String`
  `getType()`
  Returns `ViewType` of a View.
  `boolean`
  `isWorkingView()`
  Check if this view is a working view.

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getLocation

    String getLocation()
    Returns the location of the view this view will be visible in. Sample values: 00000000-0000-0000-0000-000000040013, Dashboard|Content, assetType-505d3609-928e-44a9-b1a0-1c1aa64167e4|relationType-059e477d-4559-4dc1-87a1-bece244b12a7|false
    Returns:
      the location of the view this view will be visible in

  - ### getType

    String getType()
    Returns `ViewType` of a View. Sample values: `ViewType.ASSETTABLE`, `ViewType.USERGROUPSTABLE`
    Returns:
      String representation of a view type
    See Also:
      - `ViewType`

  - ### getSubType

    String getSubType()
    Returns the text representation of view subtype extracted from it's config. Value can be one of the elements of
    invalid reference

        ViewDefinitionTypes

    For most of the `ViewType` it's subtype is equivalent to main view type, but exceptions can happen within `ViewType.ASSETTABLE` Sample values: "assetFlat"
    Returns:
      text representation of view subtype

  - ### getDescription

    String getDescription()
    Returns the description of the entity.
    Returns:
      the description of the entity

  - ### getName

    String getName()
    Returns the name of the entity.
    Returns:
      the name of the entity

  - ### isWorkingView

    boolean isWorkingView()
    Check if this view is a working view.
    Returns:
      `true` if this view is a working view.